Package org.eclipse.m2m.atl.adt.ui.viewsupport

## Interface IProblemChangedListener

All Known Implementing Classes:
  `AtlEditorTickErrorUpdater`

    public interface IProblemChangedListener

Can be added to a ProblemMarkerManager to get notified about problem marker changes. Used to update error ticks.

### Method Summary

All Methods Instance Methods Abstract Methods
`void` `problemsChanged​(org.eclipse.core.resources.IResource[] changedResources, boolean isMarkerChange)` Called when problems changed.

### Method Detail

#### problemsChanged

    void problemsChanged​(org.eclipse.core.resources.IResource[] changedResources,
                         boolean isMarkerChange)

Called when problems changed.

Parameters:
  `changedResources` - A set with elements of type `IResource` that
  `isMarkerChange` -